AuConvertDataToShort(3)

Name
AuConvertDataToShort - convert audio data from the specified format to signed short integer.

Synopsis
#include <audio/audiolib.h>

int AuConvertDataToShort(format, num_bytes, data)
    int format;
    int num_bytes;
    AuPointer data;

Arguments

format
    Specifies the format of the data. Currently, the following data formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.

num_bytes
    Specifies the number of bytes of data.

data
    Specifies the data to convert.

Description
AuConvertDataToShort converts num_bytes of data from format to signed short integer, returning 0 if successful, or -1 if format isn't valid.

See Also
AuConvertShortToData.

audiolib - Network Audio System C Language Interface